Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class LoggingConnectionDecorator.LoggingConnection.LoggingDatabaseMetaData

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingDatabaseMetaData
          org.apache.openjpa.lib.jdbc.LoggingConnectionDecorator.LoggingConnection.LoggingDatabaseMetaData

All Implemented Interfaces:
  DatabaseMetaData, Wrapper

Enclosing class:
  LoggingConnectionDecorator.LoggingConnection

    protected class LoggingConnectionDecorator.LoggingConnection.LoggingDatabaseMetaData

extends DelegatingDatabaseMetaData

Metadata wrapper that logs actions.

Field Summary

Fields inherited from interface java.sql.DatabaseMetaData
`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

Constructor Summary
`LoggingConnectionDecorator.LoggingConnection.LoggingDatabaseMetaData(DatabaseMetaData meta)`

Method Summary
`ResultSet` | `getBestRowIdentifier(String catalog, String schema, String table, int scope, boolean nullable)`
`ResultSet` | `getCatalogs()`
`ResultSet` | `getColumnPrivileges(String catalog, String schema, String table, String columnNamePattern)`
`ResultSet` | `getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
`ResultSet` | `getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable)`
`ResultSet` | `getExportedKeys(String catalog, String schema, String table)`
`ResultSet` | `getImportedKeys(String catalog, String schema, String table)`
`ResultSet` | `getIndexInfo(String catalog, String schema, String table, boolean unique, boolean approximate)`
`ResultSet` | `getPrimaryKeys(String catalog, String schema, String table)`
`ResultSet` | `getProcedureColumns(String catalog, String schemaPattern, String procedureNamePattern, String columnNamePattern)`
`ResultSet` | `getProcedures(String catalog, String schemaPattern, String procedureNamePattern)`
`ResultSet` | `getSchemas()`
`ResultSet` | `getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern)`
`ResultSet` | `getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types)`
`ResultSet` | `getTableTypes()`
`ResultSet` | `getTypeInfo()`
`ResultSet` | `getUDTs(String catalog, String schemaPattern, String typeNamePattern, int[] types)`
`ResultSet` | `getVersionColumns(String catalog, String schema, String table)`

Methods inherited from class org.apache.openjpa.lib.jdbc.DelegatingDatabaseMetaData
`allProceduresAreCallable, allTablesAreSelectable, autoCommitFailureClosesAllResultSets, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, deletesAreDetected, doesMaxRowSizeIncludeBlobs, equals, generatedKeyAlwaysReturned, getAttributes, getCatalogSeparator, getCatalogTerm, getClientInfoProperties, getConnection, getDatabaseMajorVersion, getDatabaseMinorVersion, getDatabaseProductName, getDatabaseProductVersion, getDefaultTransactionIsolation, getDelegate, getDriverMajorVersion, getDriverMinorVersion, getDriverName, getDriverVersion, getExtraNameCharacters, getFunctionColumns, getFunctions, getIdentifierQuoteString, getInnermostDelegate, getJDBCMajorVersion, getJDBCMinorVersion, getMaxBinaryLiteralLength, getMaxCatalogNameLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxProcedureNameLength, getMaxRowSize, getMaxSchemaNameLength, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength, getNumericFunctions, getProcedureTerm, getPseudoColumns, getResultSetHoldability, getRowIdLifetime, getSchemas, getSchemaTerm, getSearchStringEscape, getSQLKeywords, getSQLStateType, getStringFunctions, getSuperTables, getSuperTypes, getSystemFunctions, getTimeDateFunctions, getURL, getUserName, hashCode, insertsAreDetected, isCatalogAtStart, isReadOnly, isWrapperFor, locatorsUpdateCopy, nullPlusNonNullIsNull, nullsAreSortedAtEnd, nullsAreSortedAtStart, nullsAreSortedHigh, nullsAreSortedLow, othersDeletesAreVisible, othersInsertsAreVisible, othersUpdatesAreVisible, ownDeletesAreVisible, ownInsertsAreVisible, ownUpdatesAreVisible, storesLowerCaseIdentifiers, storesLowerCaseQuotedIdentifiers, storesMixedCaseIdentifiers, storesMixedCaseQuotedIdentifiers, storesUpperCaseIdentifiers, storesUpperCaseQuotedIdentifiers, supportsAlterTableWithAddColumn, supportsAlterTableWithDropColumn, supportsANSI92EntryLevelSQL, supportsANSI92FullSQL, supportsANSI92IntermediateSQL, supportsBatchUpdates, supportsCatalogsInDataManipulation, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsColumnAliasing, supportsConvert, supportsConvert, supportsCoreSQLGrammar, supportsCorrelatedSubqueries, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, supportsDifferentTableCorrelationNames, supportsExpressionsInOrderBy, supportsExtendedSQLGrammar, supportsFullOuterJoins, supportsGetGeneratedKeys, supportsGroupBy, supportsGroupByBeyondSelect, supportsGroupByUnrelated, supportsIntegrityEnhancementFacility, supportsLikeEscapeClause, supportsLimitedOuterJoins, supportsMinimumSQLGrammar, supportsMixedCaseIdentifiers, supportsMixedCaseQuotedIdentifiers, supportsMultipleOpenResults, supportsMultipleResultSets, supportsMultipleTransactions, supportsNamedParameters, supportsNonNullableColumns, supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, supportsOrderByUnrelated, supportsOuterJoins, supportsPositionedDelete, supportsPositionedUpdate, supportsResultSetConcurrency, supportsResultSetHoldability, supportsResultSetType, supportsSavepoints, supportsSchemasInDataManipulation, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSelectForUpdate, supportsStatementPooling, supportsStoredFunctionsUsingCallSyntax, supportsStoredProcedures, supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsTableCorrelationNames, supportsTransactionIsolationLevel, supportsTransactions, supportsUnion, supportsUnionAll, toString, unwrap, updatesAreDetected, usesLocalFilePerTable, usesLocalFiles`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoggingConnectionDecorator.LoggingConnection.LoggingDatabaseMetaData

    public LoggingConnectionDecorator.LoggingConnection.LoggingDatabaseMetaData(DatabaseMetaData meta)

Method Detail

### getBestRowIdentifier

    public ResultSet getBestRowIdentifier(String catalog,
                                          String schema,
                                          String table,
                                          int scope,
                                          boolean nullable)
                                   throws SQLException

  Specified by:
    `getBestRowIdentifier` in interface `DatabaseMetaData`
  Overrides:
    `getBestRowIdentifier` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getCatalogs

    public ResultSet getCatalogs()
                          throws SQLException

  Specified by:
    `getCatalogs` in interface `DatabaseMetaData`
  Overrides:
    `getCatalogs` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getColumnPrivileges

    public ResultSet getColumnPrivileges(String catalog,
                                         String schema,
                                         String table,
                                         String columnNamePattern)
                                  throws SQLException

  Specified by:
    `getColumnPrivileges` in interface `DatabaseMetaData`
  Overrides:
    `getColumnPrivileges` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getColumns

    public ResultSet getColumns(String catalog,
                                String schemaPattern,
                                String tableNamePattern,
                                String columnNamePattern)
                         throws SQLException

  Specified by:
    `getColumns` in interface `DatabaseMetaData`
  Overrides:
    `getColumns` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getCrossReference

    public ResultSet getCrossReference(String primaryCatalog,
                                       String primarySchema,
                                       String primaryTable,
                                       String foreignCatalog,
                                       String foreignSchema,
                                       String foreignTable)
                                throws SQLException

  Specified by:
    `getCrossReference` in interface `DatabaseMetaData`
  Overrides:
    `getCrossReference` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getExportedKeys

    public ResultSet getExportedKeys(String catalog,
                                     String schema,
                                     String table)
                              throws SQLException

  Specified by:
    `getExportedKeys` in interface `DatabaseMetaData`
  Overrides:
    `getExportedKeys` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getImportedKeys

    public ResultSet getImportedKeys(String catalog,
                                     String schema,
                                     String table)
                              throws SQLException

  Specified by:
    `getImportedKeys` in interface `DatabaseMetaData`
  Overrides:
    `getImportedKeys` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getIndexInfo

    public ResultSet getIndexInfo(String catalog,
                                  String schema,
                                  String table,
                                  boolean unique,
                                  boolean approximate)
                           throws SQLException

  Specified by:
    `getIndexInfo` in interface `DatabaseMetaData`
  Overrides:
    `getIndexInfo` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getPrimaryKeys

    public ResultSet getPrimaryKeys(String catalog,
                                    String schema,
                                    String table)
                             throws SQLException

  Specified by:
    `getPrimaryKeys` in interface `DatabaseMetaData`
  Overrides:
    `getPrimaryKeys` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getProcedureColumns

    public ResultSet getProcedureColumns(String catalog,
                                         String schemaPattern,
                                         String procedureNamePattern,
                                         String columnNamePattern)
                                  throws SQLException

  Specified by:
    `getProcedureColumns` in interface `DatabaseMetaData`
  Overrides:
    `getProcedureColumns` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getProcedures

    public ResultSet getProcedures(String catalog,
                                   String schemaPattern,
                                   String procedureNamePattern)
                            throws SQLException

  Specified by:
    `getProcedures` in interface `DatabaseMetaData`
  Overrides:
    `getProcedures` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getSchemas

    public ResultSet getSchemas()
                         throws SQLException

  Specified by:
    `getSchemas` in interface `DatabaseMetaData`
  Overrides:
    `getSchemas` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getTablePrivileges

    public ResultSet getTablePrivileges(String catalog,
                                        String schemaPattern,
                                        String tableNamePattern)
                                 throws SQLException

  Specified by:
    `getTablePrivileges` in interface `DatabaseMetaData`
  Overrides:
    `getTablePrivileges` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getTables

    public ResultSet getTables(String catalog,
                               String schemaPattern,
                               String tableNamePattern,
                               String[] types)
                        throws SQLException

  Specified by:
    `getTables` in interface `DatabaseMetaData`
  Overrides:
    `getTables` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getTableTypes

    public ResultSet getTableTypes()
                            throws SQLException

  Specified by:
    `getTableTypes` in interface `DatabaseMetaData`
  Overrides:
    `getTableTypes` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getTypeInfo

    public ResultSet getTypeInfo()
                          throws SQLException

  Specified by:
    `getTypeInfo` in interface `DatabaseMetaData`
  Overrides:
    `getTypeInfo` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getUDTs

    public ResultSet getUDTs(String catalog,
                             String schemaPattern,
                             String typeNamePattern,
                             int[] types)
                      throws SQLException

  Specified by:
    `getUDTs` in interface `DatabaseMetaData`
  Overrides:
    `getUDTs` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

### getVersionColumns

    public ResultSet getVersionColumns(String catalog,
                                       String schema,
                                       String table)
                                throws SQLException

  Specified by:
    `getVersionColumns` in interface `DatabaseMetaData`
  Overrides:
    `getVersionColumns` in class `DelegatingDatabaseMetaData`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.